From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 15 Sep 2000 12:03:00 -0700 (PDT)

I am sending out by fax signed CA's by Enron to MEGA, Dominion and Teco to be 
signed by them.  They should all be signed probably by Monday night.  We now 
have an executed CA with Avista, so please send out two books to them ASAP.   
Thanks!
Ben